#ifndef __PWM_H__
#define __PWM_H__

#include "common.h"

#define LID_M 0
#define ARM_M 1
#define ELE_MOV_M 2
#define ELE_ROT_M 3

#define MAX_PWM 4

// changes the dutycycle of the PWM
// out of 20 ms, d*10 us will be active
void changePWM(short m, int d);

// send one cycle to the output pins
void doPWM();

// initialize clock and PWM signals
void initPWM();

#endif
